Package org.drinkless.tdlib

# Class TdApi.CollectibleItemInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CollectibleItemInfo

Enclosing class:
  `TdApi`

public static class TdApi.CollectibleItemInfo extends TdApi.Object
Contains information about a collectible item and its last purchase.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  The paid amount, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `cryptocurrency`
  Cryptocurrency used to pay for the item.
  `long`
  `cryptocurrencyAmount`
  The paid amount, in the smallest units of the cryptocurrency.
  `String`
  `currency`
  Currency for the paid amount.
  `int`
  `purchaseDate`
  Point in time (Unix timestamp) when the item was purchased.
  `String`
  `url`
  Individual URL for the item on https://fragment.com.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectibleItemInfo()`
  Contains information about a collectible item and its last purchase.
  `CollectibleItemInfo(int purchaseDate, String currency, long amount, String cryptocurrency, long cryptocurrencyAmount, String url)`
  Contains information about a collectible item and its last purchase.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### purchaseDate

    public int purchaseDate
    Point in time (Unix timestamp) when the item was purchased.

  - ### currency

    public String currency
    Currency for the paid amount.

  - ### amount

    public long amount
    The paid amount, in the smallest units of the currency.

  - ### cryptocurrency

    public String cryptocurrency
    Cryptocurrency used to pay for the item.

  - ### cryptocurrencyAmount

    public long cryptocurrencyAmount
    The paid amount, in the smallest units of the cryptocurrency.

  - ### url

    public String url
    Individual URL for the item on https://fragment.com.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CollectibleItemInfo

    public CollectibleItemInfo()
    Contains information about a collectible item and its last purchase.

  - ### CollectibleItemInfo

    public CollectibleItemInfo(int purchaseDate, String currency, long amount, String cryptocurrency, long cryptocurrencyAmount, String url)
    Contains information about a collectible item and its last purchase.
    Parameters:
      `purchaseDate` - Point in time (Unix timestamp) when the item was purchased.
      `currency` - Currency for the paid amount.
      `amount` - The paid amount, in the smallest units of the currency.
      `cryptocurrency` - Cryptocurrency used to pay for the item.
      `cryptocurrencyAmount` - The paid amount, in the smallest units of the cryptocurrency.
      `url` - Individual URL for the item on https://fragment.com.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR